# DAGetGhostCorners

Returns the global (x,y,z) indices of the lower left corner of the local region, including ghost points.

### Synopsis

    #include "petscda.h"
    PetscErrorCode PETSCDM_DLLEXPORT DAGetGhostCorners(DA da,PetscInt *x,PetscInt *y,PetscInt *z,PetscInt *m,PetscInt *n,PetscInt *p)

Not Collective

### Input Parameter

da -the distributed array

### Output Parameters

| x,y,z | - the corner indices (where y and z are optional; these are used for 2D and 3D problems)
| m,n,p | - widths in the corresponding directions (where n and p are optional; these are used for 2D and 3D problems)

### Note

The corner information is independent of the number of degrees of freedom per node set with the DACreateXX() routine. Thus the x, y, z, and m, n, p can be thought of as coordinates on a logical grid, where each grid point has (potentially) several degrees of freedom. Any of y, z, n, and p can be passed in as PETSC_NULL if not needed.

### Keywords

distributed array, get, ghost, corners, nodes, local indices

### See Also

DAGetCorners(), DACreate1d(), DACreate2d(), DACreate3d()

Level:beginner
Location: src/dm/da/src/daghost.c
Index of all DA routines
Table of Contents for all manual pages
Index of all manual pages

### Examples

src/ksp/ksp/examples/tutorials/ex14f.F.html
src/snes/examples/tutorials/ex5f.F.html
src/snes/examples/tutorials/ex5f90.F.html
src/dm/da/examples/tutorials/ex6.c.html
src/dm/da/examples/tutorials/ex6f90.F.html